## ros-jazzy-rmf-fleet-adapter 2.7.2

=== debian/changelog ===
ros-jazzy-rmf-fleet-adapter (2.7.2-2bookworm) bookworm; urgency=high



 -- Grey <grey@openrobotics.org>  Mon, 17 Jun 2024 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter (2.7.1-2bookworm) bookworm; urgency=high

  * Fix charging status (#347 <https://github.com/open-rmf/rmf_ros2/pull/347>)
  * Contributors: Grey

 -- Grey <grey@openrobotics.org>  Mon, 10 Jun 2024 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter (2.7.0-2bookworm) bookworm; urgency=high

  * Fix race condition for ingesting/dispensing and disable uncrustify tests by default (#362 <https://github.com/open-rmf/rmf_ros2/pull/362>)
  * Event based lift / door logic (#320 <https://github.com/open-rmf/rmf_ros2/pull/320>)
  * Filter DoorOpen insertion by map name (#353 <https://github.com/open-rmf/rmf_ros2/pull/353>)
  * Fix schema dictionary used during robot status override (#349 <https://github.com/open-rmf/rmf_ros2/pull/349>)
  * Add fleet-level reassign dispatched tasks API (#348 <https://github.com/open-rmf/rmf_ros2/pull/348>)
  * Automatically begin or cancel idle behavior when commission changes (#346 <https://github.com/open-rmf/rmf_ros2/pull/346>)
  * Disable automatic retreat (#330 <https://github.com/open-rmf/rmf_ros2/pull/330>)
  * Manual release of mutex groups (#339 <https://github.com/open-rmf/rmf_ros2/pull/339>)
  * Stabilize commissioning feature (#338 <https://github.com/open-rmf/rmf_ros2/pull/338>)
  * Release other mutexes if robot started charging (#334 <https://github.com/open-rmf/rmf_ros2/pull/334>)
  * Support labels in booking information (#328 <https://github.com/open-rmf/rmf_ros2/pull/328>)
  * Fix interaction between emergency pullover and finishing task (#333 <https://github.com/open-rmf/rmf_ros2/pull/333>)
  * Contributors: Aaron Chong, Grey, Luca Della Vedova, Xiyu, Yadunund

 -- Grey <grey@openrobotics.org>  Fri, 31 May 2024 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter (2.6.0-2bookworm) bookworm; urgency=high

  * Removes a line of dead code (#322 <https://github.com/open-rmf/rmf_ros2/pull/322>)
  * include cstdint header (#331 <https://github.com/open-rmf/rmf_ros2/pull/331>)
  * Add Backward-ROS for improved logging in event of segfaults (#327 <https://github.com/open-rmf/rmf_ros2/pull/327>)
  * Explicitly specify all qos depth (#323 <https://github.com/open-rmf/rmf_ros2/pull/323>)
  * Add support of fleet-level task (#317 <https://github.com/open-rmf/rmf_ros2/pull/317>)
  * Fix minor logging error (#318 <https://github.com/open-rmf/rmf_ros2/pull/318>)
  * Contributors: Arjo Chakravarty, Teo Koon Peng, Yadunund, cwrx777

 -- Grey <grey@openrobotics.org>  Tue, 12 Mar 2024 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter (2.5.0-2bookworm) bookworm; urgency=high

  * Fix edge case when starting on a lane (#312 <https://github.com/open-rmf/rmf_ros2/pull/312>)
  * Update GoToPlace to allow finding nearest spot (#308 <https://github.com/open-rmf/rmf_ros2/pull/308>)
  * Contributors: Arjo Chakravarty, Grey

 -- Grey <grey@openrobotics.org>  Thu, 21 Dec 2023 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter (2.4.0-2bookworm) bookworm; urgency=high

  * Mutex Groups, localization hook, dynamic charging, and new graph elements (#310 <https://github.com/open-rmf/rmf_ros2/pull/310>)

 -- Grey <grey@openrobotics.org>  Thu, 14 Dec 2023 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter (2.3.2-2bookworm) bookworm; urgency=high

  * Improve linking time (#297 <https://github.com/open-rmf/rmf_ros2/pull/297>)
  * EasyFullControl API (#235 <https://github.com/open-rmf/rmf_ros2/pull/235>)
  * Contributors: Grey, Luca Della Vedova, Xiyu, Yadunund

 -- Grey <grey@openrobotics.org>  Sun, 27 Aug 2023 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter (2.3.1-2bookworm) bookworm; urgency=high

  * Remove duplicate task schemas (#294 <https://github.com/open-rmf/rmf_ros2/pull/294>)
  * Fix comparator for direct assignment ordering (#288 <https://github.com/open-rmf/rmf_ros2/pull/288>)
  * Adding initiator and request time to booking (#267 <https://github.com/open-rmf/rmf_ros2/pull/267>)
  * Contributors: Aaron Chong, Omar Hamza, Yadunund

 -- Grey <grey@openrobotics.org>  Wed, 09 Aug 2023 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter (2.3.0-2bookworm) bookworm; urgency=high



 -- Grey <grey@openrobotics.org>  Wed, 07 Jun 2023 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter (2.2.0-2bookworm) bookworm; urgency=high

  * Fix race condition related to the ``finished`` callback of ``perform_action`` events: (#273 <https://github.com/open-rmf/rmf_ros2/pull/273>)
  * Switch to rst changelogs (#276 <https://github.com/open-rmf/rmf_ros2/pull/276>)
  * Contributors: Grey, Yadunund

 -- Grey <grey@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter (2.1.5-2bookworm) bookworm; urgency=high

  * Reformat code to meet expectations of uncrustify-0.72.0: (#274 <https://github.com/open-rmf/rmf_ros2/pull/274>)
  * Contributors: Yadunund

 -- Grey <grey@openrobotics.org>  Fri, 19 May 2023 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter (2.1.4-2bookworm) bookworm; urgency=high



 -- Grey <grey@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter (2.1.3-2bookworm) bookworm; urgency=high

  * Fix emergency response for waiting robots: (#253 <https://github.com/open-rmf/rmf_ros2/pull/253>)
  * Properly cleanup emergency pullover task: (#258 <https://github.com/open-rmf/rmf_ros2/pull/258>)
  * Fix priority assignment when parsing tasks: (#265 <https://github.com/open-rmf/rmf_ros2/pull/265>)
  * Link Threads to fix build errors on certain platforms: (#204 <https://github.com/open-rmf/rmf_ros2/pull/204>)
  * Contributors: decada-robotics, Luca Della Vedova, Grey, Yadunund

 -- Grey <grey@openrobotics.org>  Tue, 25 Apr 2023 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter (2.1.2-2bookworm) bookworm; urgency=high



 -- Grey <grey@openrobotics.org>  Sun, 09 Oct 2022 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter (2.1.0-2bookworm) bookworm; urgency=high


