=== debian/control ===
Source: ros-jazzy-rmf-fleet-adapter
Section: misc
Priority: optional
Maintainer: Grey <grey@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libyaml-cpp-dev, nlohmann-json3-dev, ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-catch2 <!nocheck>, ros-jazzy-ament-cmake-uncrustify <!nocheck>, ros-jazzy-backward-ros, ros-jazzy-nlohmann-json-schema-validator-vendor, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-rmf-api-msgs, ros-jazzy-rmf-battery, ros-jazzy-rmf-building-map-msgs, ros-jazzy-rmf-dispenser-msgs, ros-jazzy-rmf-door-msgs, ros-jazzy-rmf-fleet-msgs, ros-jazzy-rmf-ingestor-msgs, ros-jazzy-rmf-lift-msgs, ros-jazzy-rmf-task, ros-jazzy-rmf-task-msgs, ros-jazzy-rmf-task-ros2, ros-jazzy-rmf-task-sequence, ros-jazzy-rmf-traffic, ros-jazzy-rmf-traffic-ros2, ros-jazzy-rmf-utils, ros-jazzy-rmf-websocket, ros-jazzy-std-msgs, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-rmf-fleet-adapter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nlohmann-json3-dev, ros-jazzy-backward-ros, ros-jazzy-nlohmann-json-schema-validator-vendor, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-rmf-api-msgs, ros-jazzy-rmf-battery, ros-jazzy-rmf-building-map-msgs, ros-jazzy-rmf-dispenser-msgs, ros-jazzy-rmf-door-msgs, ros-jazzy-rmf-fleet-msgs, ros-jazzy-rmf-ingestor-msgs, ros-jazzy-rmf-lift-msgs, ros-jazzy-rmf-task, ros-jazzy-rmf-task-msgs, ros-jazzy-rmf-task-ros2, ros-jazzy-rmf-task-sequence, ros-jazzy-rmf-traffic, ros-jazzy-rmf-traffic-ros2, ros-jazzy-rmf-utils, ros-jazzy-rmf-websocket, ros-jazzy-std-msgs, ros-jazzy-ros-workspace
Description: Fleet Adapter package for RMF fleets.
